<?php
/**
 * Common Template - tpl_header.php
 *
 * this file can be copied to /templates/your_template_dir/pagename<br />
 * example: to override the privacy page<br />
 * make a directory /templates/my_template/privacy<br />
 * copy /templates/templates_defaults/common/tpl_footer.php to /templates/my_template/privacy/tpl_header.php<br />
 * to override the global settings and turn off the footer un-comment the following line:<br />
 * <br />
 * $flag_disable_header = true;<br />
 *
 * @package templateSystem
 * @copyright Copyright 2003-2012 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version GIT: $Id: Author: Ian Wilson  Tue Aug 14 14:56:11 2012 +0100 Modified in v1.5.1 $
 * Altered by rbarbour (ZCAdditions.com), Responsive Classic Contemporary Silver Template (70b) 
 */
?>

<?php
  // Display all header alerts via messageStack:
  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
  if (isset($_GET['error_message']) && zen_not_null($_GET['error_message'])) {
  echo htmlspecialchars(urldecode($_GET['error_message']), ENT_COMPAT, CHARSET, TRUE);
  }
  if (isset($_GET['info_message']) && zen_not_null($_GET['info_message'])) {
   echo htmlspecialchars($_GET['info_message'], ENT_COMPAT, CHARSET, TRUE);
} else {

}
?>


<!--bof-header logo and navigation display-->
<?php
if (!isset($flag_disable_header) || !$flag_disable_header) {
?>
<?php
/**
 ******************************* BOF 2.0 **********************************
 */
?>
<div id="headerWrapper" class="<?php echo $fluidisFixed; ?>">
<?php
/**
 ******************************* EOF 2.0 **********************************
 */
?>
<!--bof-navigation display-->
<div id="navMainWrapper">
<div id="navMain">
    <ul class="back">
    <li><?php echo '<a href="' . HTTP_SERVER . DIR_WS_CATALOG . '">'; ?><?php echo HEADER_TITLE_CATALOG; ?></a></li>
<?php if ($_SESSION['customer_id']) { ?>
    <li><a href="<?php echo zen_href_link(FILENAME_LOGOFF, '', 'SSL'); ?>"><?php echo HEADER_TITLE_LOGOFF; ?></a></li>
    <li><a href="<?php echo zen_href_link(FILENAME_ACCOUNT, '', 'SSL'); ?>"><?php echo HEADER_TITLE_MY_ACCOUNT; ?></a></li>
<?php
      } else {
        if (STORE_STATUS == '0') {
?>
    <li><a href="<?php echo zen_href_link(FILENAME_LOGIN, '', 'SSL'); ?>"><?php echo HEADER_TITLE_LOGIN; ?></a></li>
<?php } } ?>

<?php if ($_SESSION['cart']->count_contents() != 0) { ?>
    <li><a href="<?php echo zen_href_link(FILENAME_SHOPPING_CART, '', 'NONSSL'); ?>"><?php echo HEADER_TITLE_CART_CONTENTS; ?></a></li>
    <li><a href="<?php echo zen_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'); ?>"><?php echo HEADER_TITLE_CHECKOUT; ?></a></li>
<?php }?>

<?php

/**
 ******************************* BOF 2.0a **********************************
 */

if ($detect->isMobile() && !$detect->isTablet() && (empty($_SESSION['display_mode'])) or $detect->isMobile() && !$detect->isTablet() && $_SESSION['display_mode']=='isMobile' or $detect->isTablet() && $_SESSION['display_mode']=='isMobile' or $_SESSION['display_mode']=='isMobile') { ?>

<?php if (SHOW_GOTO_DESKTOP_FROM_MOBILE == 'true') { ?>
<li><a href="<?php echo zen_href_link($current_page_base, zen_get_all_get_params(array('display_mode')) . 'display_mode=isDesktop') . '">' . ZCA_DESKTOP_LINK_TEXT . '</a></li>'; ?><?php } ?>

<?php if (SHOW_GOTO_TABLET_FROM_MOBILE == 'true') { ?>
<li><a href="<?php echo zen_href_link($current_page_base, zen_get_all_get_params(array('display_mode')) . 'display_mode=isTablet') . '">' . ZCA_TABLET_LINK_TEXT . '</a></li>'; ?><?php } ?>

<?php } else if ($detect->isTablet() && (empty($_SESSION['display_mode'])) or $detect->isMobile() && $_SESSION['display_mode']=='isTablet' or $detect->isTablet() && $_SESSION['display_mode']=='isTablet' or $_SESSION['display_mode']=='isTablet'){ ?>

<?php if (SHOW_GOTO_MOBILE_FROM_TABLET == 'true') { ?>
<li><a href="<?php echo zen_href_link($current_page_base, zen_get_all_get_params(array('display_mode')) . 'display_mode=isMobile') . '">' . ZCA_MOBILE_LINK_TEXT . '</a></li>'; ?><?php } ?>

<?php if (SHOW_GOTO_DESKTOP_FROM_TABLET == 'true') { ?>
<li><a href="<?php echo zen_href_link($current_page_base, zen_get_all_get_params(array('display_mode')) . 'display_mode=isDesktop') . '">' . ZCA_DESKTOP_LINK_TEXT . '</a></li>'; ?><?php } ?>

<?php } else if ($detect->isMobile() && !$detect->isTablet() && $_SESSION['display_mode']=='isDesktop' or $detect->isTablet() && $_SESSION['display_mode']=='isDesktop' or $_SESSION['display_mode']=='isNonResponsive'){ ?>

<?php if (SHOW_GOTO_MOBILE_FROM_DESKTOP == 'true') { ?>
<li><a href="<?php echo zen_href_link($current_page_base, zen_get_all_get_params(array('display_mode')) . 'display_mode=isMobile') . '">' . ZCA_MOBILE_LINK_TEXT . '</a></li>'; ?><?php } ?>

<?php if (SHOW_GOTO_TABLET_FROM_DESKTOP == 'true') { ?>
<li><a href="<?php echo zen_href_link($current_page_base, zen_get_all_get_params(array('display_mode')) . 'display_mode=isTablet') . '">' . ZCA_TABLET_LINK_TEXT . '</a></li>'; ?><?php } ?>

<?php } else { ?>

<?php if (SHOW_GOTO_MOBILE_FROM_DESKTOP == 'true') { ?>
<li><a href="<?php echo zen_href_link($current_page_base, zen_get_all_get_params(array('display_mode')) . 'display_mode=isMobile') . '">' . ZCA_MOBILE_LINK_TEXT . '</a></li>'; ?><?php } ?>

<?php if (SHOW_GOTO_TABLET_FROM_DESKTOP == 'true') { ?>
<li><a href="<?php echo zen_href_link($current_page_base, zen_get_all_get_params(array('display_mode')) . 'display_mode=isTablet') . '">' . ZCA_TABLET_LINK_TEXT . '</a></li>'; ?><?php } ?>

<?php if (SHOW_GOTO_NONRESPONSIVE_FROM_DESKTOP == 'true') {
if ($_SESSION['display_mode']=='isNonResponsive') { ?>
<li><a href="<?php echo zen_href_link($current_page_base, zen_get_all_get_params(array('display_mode')) . 'display_mode=isResponsive') . '">' . ZCA_RESPONSIVE_LINK_TEXT . '</a></li>'; ?><?php } else { ?>
<li><a href="<?php echo zen_href_link($current_page_base, zen_get_all_get_params(array('display_mode')) . 'display_mode=isNonResponsive') . '">' . ZCA_NONRESPONSIVE_LINK_TEXT . '</a></li>'; ?><?php } ?>

<?php } ?>

<?php } 

/**
 ******************************* EOF 2.0a **********************************
 */

?>

</ul>
</div>
<div id="navMainSearch"><?php require(DIR_WS_MODULES . 'sideboxes/search_header.php'); ?></div>
<br class="clearBoth" />
</div>
<!--eof-navigation display-->

<!--bof-branding display-->
<div id="logoWrapper">
    <div id="logo"><?php echo '<a href="' . HTTP_SERVER . DIR_WS_CATALOG . '">' . zen_image($template->get_template_dir(HEADER_LOGO_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . HEADER_LOGO_IMAGE, HEADER_ALT_TEXT) . '</a>'; ?></div>
<?php if (HEADER_SALES_TEXT != '' || (SHOW_BANNERS_GROUP_SET2 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET2))) { ?>
    <div id="taglineWrapper">
<?php
              if (HEADER_SALES_TEXT != '') {
?>
      <div id="tagline">

<!-- ******************** BOF EXAMPLE FOR 2.0a (ONLY CHANGE)********************  -->
<!-- BOF: Per File, Device Type Javascript  -->
<?php
/**
 * 2.0a utilizes php-mobile-detect, allows us to use different Javascript for different devices.
 */

if ($detect->isMobile() && !$detect->isTablet() && (empty($_SESSION['display_mode'])) or $detect->isMobile() && !$detect->isTablet() && $_SESSION['display_mode']=='isMobile' or $detect->isTablet() && $_SESSION['display_mode']=='isMobile' or $_SESSION['display_mode']=='isMobile') { ?>

	  <script type="text/javascript">
	    document.write('This must be a Mobile phone!')
	  </script>

<?php } else if ($detect->isTablet() && (empty($_SESSION['display_mode'])) or $detect->isMobile() && $_SESSION['display_mode']=='isTablet' or $detect->isTablet() && $_SESSION['display_mode']=='isTablet' or $_SESSION['display_mode']=='isTablet'){ ?>

	  <script type="text/javascript">
	    document.write('This must be a Tablet!')
	  </script>

<?php } else if ($detect->isMobile() && !$detect->isTablet() && $_SESSION['display_mode']=='isDesktop' or $detect->isTablet() && $_SESSION['display_mode']=='isDesktop' or $_SESSION['display_mode']=='isNonResponsive'){ ?>

	  <script type="text/javascript">
	    document.write('This must be a Non-Responsive Desktop!')
	  </script>

<?php } else { ?>

	  <script type="text/javascript">
	    document.write('This must be a Desktop!')
	  </script>

<?php } ?>
<br />
<!-- ******************** EOF EXAMPLE FOR 2.0a (ONLY CHANGE)********************  -->

<?php echo HEADER_SALES_TEXT;?>

</div>
<?php
              }
?>
<?php
              if (SHOW_BANNERS_GROUP_SET2 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET2)) {
                if ($banner->RecordCount() > 0) {
?>
      <div id="bannerTwo" class="banners"><?php echo zen_display_banner('static', $banner);?></div>
<?php
                }
              }
?>
    </div>
<?php } // no HEADER_SALES_TEXT or SHOW_BANNERS_GROUP_SET2 ?>
</div>
<br class="clearBoth" />
<!--eof-branding display-->

<!--eof-header logo and navigation display-->

<!--bof-optional categories tabs navigation display-->
<?php require($template->get_template_dir('tpl_modules_categories_tabs.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_categories_tabs.php'); ?>
<!--eof-optional categories tabs navigation display-->

<!--bof-header ezpage links-->
<?php if (EZPAGES_STATUS_HEADER == '1' or (EZPAGES_STATUS_HEADER == '2' and (strstr(EXCLUDE_ADMIN_IP_FOR_MAINTENANCE, $_SERVER['REMOTE_ADDR'])))) { ?>
<?php require($template->get_template_dir('tpl_ezpages_bar_header.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_ezpages_bar_header.php'); ?>
<?php } ?>
<!--eof-header ezpage links-->
</div>
<?php } ?>